Post the necessary fields for the API to upload files. The files need to be a buffer with the key "fileAttachment". <br /><br /> The allowed file types are: <br/> <ul><li>JPG</li><li>JPEG</li><li>PNG<
Post the necessary fields for the API to upload files. The files need to be a buffer with the key "fileAttachment". <br /><br /> The allowed file types are: <br/> <ul><li>JPG</li><li>JPEG</li><li>PNG</li><li>MP4</li><li>MPEG</li><li>ZIP</li><li>RAR</li><li>PDF</li><li>DOC</li><li>DOCX</li><li>TXT</li><li>MP3</li><li>WAV</li></ul> <br /><br /> The API will return an object with the URLs
http
POST https://services.leadconnectorhq.com/conversations/messages/upload
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Body
Name
Type
Required
Example
Description
conversationId
string
Yes
ve9EPM428h8vShlRW1KT
Conversation Id
contactId
string
Yes
ve9EPM428h8vShlRW1KT
Contact Id
locationId
string
Yes
attachmentUrls
string[]
Yes
chatServiceSid
string
No
ISxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Twilio chat service SID for group SMS uploads
isGroupSms
string
No
true
Flag to indicate group SMS upload flow. When true, only 1 file upload is allowed per request.
Responses
200 - Uploaded the file successfully
uploadedFiles (object, required)
twilioMediaSids (string[]): Twilio media SIDs for group SMS (when isGroupSms=true)